> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/snooker/objects/advanced-statistics/frames-statistics.md).

# Frames Statistics

## Properties

<table><thead><tr><th width="237">Property</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>frameLabel</td><td>String</td><td>Frame or period description</td></tr><tr><td>frameNumber</td><td>Integer</td><td>Frame or period number</td></tr><tr><td>frameDuration</td><td>String</td><td>Duration of the frame</td></tr><tr><td>breaksStatistics<br></td><td><a data-mention href="/pages/NuRlN1zd6sFSnX2CGTb1">/pages/NuRlN1zd6sFSnX2CGTb1</a></td><td>Advanced brake stats. The snooker shot(s) that make up a player’s turn while at the table. Each time a player pots a red ball, they are allowed to take another shot this time on a colored ball; if they pot that, they attempt to pot another red and so on. When that player fails to pot a ball, their opponent takes the following shot. The points tally up to that time for the first player is called the break.</td></tr><tr><td>remainingBallsStatistics<br></td><td><a data-mention href="/pages/iNB3SDtmUM1mSTIZJvuU">/pages/iNB3SDtmUM1mSTIZJvuU</a></td><td>Advanced statistics for the remaining ball in snooker</td></tr></tbody></table>

{% code title="Response JSON" %}

```json
{
  "frameLabel": "1st frame",
  "frameNumber": 1,
  "frameDuration": "00:12:07.7785835",
  "breaksStatistics": {
      "breaks": [...]
   },
  "remainingBallsStatistics": {...}
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/snooker/objects/advanced-statistics/frames-statistics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
